#
# spec file for package rubygem-rack-1_4
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rack-1_4
Version:        1.4.7
Release:        lp151.28.53
%define mod_name rack
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_4
# MANUAL
BuildRequires:  fdupes
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://rack.github.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-rack-1_4-rpmlintrc
Source2:        gem2rpm.yml
Summary:        A modular Ruby webserver interface
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rack provides a minimal, modular and adaptable interface for developing
web applications in Ruby.  By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.github.com/.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING README.rdoc" \
  -f
# MANUAL
%fdupes %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/
# /MANUAL

%gem_packages

%changelog
* Fri Jun 19 2015 coolo@suse.com
- updated to version 1.4.7
  no changelog found
* Wed Jun 17 2015 coolo@suse.com
- updated to version 1.4.6
  no changelog found
* Sat Nov  1 2014 tboerger@suse.com
- Fixed all rpmlintrc errors to prevent failing builds with
  multiple ruby versions
* Wed Oct 22 2014 tboerger@suse.com
- Updated to new ruby macros
* Mon May 13 2013 coolo@suse.com
- sync gem2rpm template
* Mon Feb 11 2013 adrian@suse.com
- updated to version 1.4.5
  * Fix CVE-2013-0263, timing attack against Rack::Session::Cookie
  * Fix CVE-2013-0262, symlink path traversal in Rack::File
- from 1.4.4:
  * [SEC] Rack::Auth::AbstractRequest no longer symbolizes arbitrary strings
  * Fixed erroneous test case in the 1.3.x series
* Tue Jan  8 2013 coolo@suse.com
- updated to version 1.4.3
  * Add warnings when users do not provide a session secret
  * Fix parsing performance for unquoted filenames
  * Updated URI backports
  * Fix URI backport version matching, and silence constant warnings
  * Correct parameter parsing with empty values
  * Correct rackup '-I' flag, to allow multiple uses
  * Correct rackup pidfile handling
  * Report rackup line numbers correctly
  * Fix request loops caused by non-stale nonces with time limits
  * Fix reloader on Windows
  * Prevent infinite recursions from Response#to_ary
  * Various middleware better conforms to the body close specification
  * Updated language for the body close specification
  * Additional notes regarding ECMA escape compatibility issues
  * Fix the parsing of multiple ranges in range headers
  * Prevent errors from empty parameter keys
  * Added PATCH verb to Rack::Request
  * Various documentation updates
  * Fix session merge semantics (fixes rack-test)
  * Rack::Static :index can now handle multiple directories
  * All tests now utilize Rack::Lint (special thanks to Lars Gierth)
  * Rack::File cache_control parameter is now deprecated, and removed by 1.5
  * Correct Rack::Directory script name escaping
  * Rack::Static supports header rules for sophisticated configurations
  * Multipart parsing now works without a Content-Length header
  * New logos courtesy of Zachary Scott!
  * Rack::BodyProxy now explicitly defines #each, useful for C extensions
  * Cookies that are not URI escaped no longer cause exceptions
  * Security: Prevent unbounded reads in large multipart boundaries
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new provisions
* Mon Apr  2 2012 saschpe@suse.de
- Spec file cleanup:
  * Prepare for Factory submission
* Fri Mar 30 2012 adrian@suse.de
- handle /usr/bin/rackup via update-alternatives
* Thu Jan 26 2012 mrueckert@suse.de
- initial package of the 1.4 branch
